Subject: [regext] Suggestion of work methodology?

From: Patrick Mevzek <[email-masked]>
Date: Mon, 16 Jul 2018 09:26:11 +0200

Hello,

This is a meta discussion on the way we work.
So just exposing some ideas, if they could interest anyone.
Feel free to participate in you want, here or in private.

You may have seen this email on the DNSOP working group:
https://mailarchive.ietf.org/arch/msg/dnsop/gQ0qju2MPDBz4R5KkRYMKL_ioeg
which was prompted by the "Camel" presentation of the DNS at the previous IETF
meeting, and similar interests in other working groups.
The TLS WG seems to have gone into the same kind of questions/directions.

Many points boil down to: not everything that can be done should be done.
(and the future is difficult to predict, hence thinking of being able right at the beginning to cover all future use cases, specially those not documented/voiced, can be tricky at least or completely ending in the wrong direction at worst).

And I think part of the low participation is caused by the following.

Sometimes this working group receives drafts that clearly caters for a specific registry or registrar. This is all fine per se and the fact of discussing things in public should be welcomed and appreciated. However it may be difficult for the other participants to really understand the use case, as this may not be always very clear. So you either let it go, or try to understand it, or try to offer comments on the proposition to make it more generic, which could be completely going an opposite route from the initial needs.

Should every EPP extension used by only one registry be standardized through an RFC? Especially a "Proposed Standard" one? I am not sure about that.

It is good of course that an extension is documented and even follows some wireframe. This is the purpose of the EPP extensions registry I think, and should be enough for some cases. The guidance of the working group would be, besides the EPP experts review on the document to advise if this is of generic interest or not, so that documents really coming into the WG as adopted documents and later WGLC on them and such are really made in such a way they are deemed to be useful for the EPP community at large.

For anything that is supposed to benefit the greater good I think that the Implementation Section should be mandatory, to be done before a WGLC, with at least 2 separate server implementations and 2 separate client implementations.
(and ideally at least one client implementation capable to speak to the 2 servers ones). It is only when implementations start to exist that the finest details of the design can be tested, so their existence should be mandatory before pushing a document towards the "Proposed Standard" state.
The corrolary being that the writers will have to find registries and registrars willing to implement their proposition, which is one way to show interest and consensus.

It would help also I think if the concerned registries speak up and support the specific work. I know that we are all under a "one participant one voice" rule, but it is clear too that work is done for specific registries or registrars, or group of them (like gTLDs).
And for the same reason if any registry thinks that some proposition goes completely in the other direction from what they do or plan to do, and even if they may not be required to implement the extension, it should be good if they speak up. It could help reshape the design to make sure it accomodate more cases.

-- 
  Patrick Mevzek